/*
Theme Name:     GeneratePress Child
Theme URI:      https://www.7einhalb.de
Description:    Generatepress child theme.
Author:         7einhalb - Maik Bernstein
Author URI:     https://www.7einhalb.de
Template:       generatepress
Version:        0.1.0
*/



/* ### eigene Klassen ### */

/* no-margin (for text in boxes) */
body .no-margin p,
body p.no-margin,
body .nomargin p,
body p.nomargin {
    margin: 0;
}

/* Z-Index -1 */
.layer-back {
    z-index: -1;
}

/* Hide Content */
.hideme {
    display: none !important;
}
@media screen and (max-width: 768px) {
    .mobile-hideme {
        display: none !important;
    }
}
@media screen and (min-width: 769px) {
    .desktop-hideme {
        display: none !important;
    }
}



/* Contact Form 7 - Column Grid */
.dwp-form {
    width: 100%;
    margin: 0 auto;
}
.dwp-form-row {
    display: flex;
    flex-direction: column;
    width: 100%;
}
.dwp-form-row .wpcf7-form-control,
.wpcf7-form label {
    width: 100%;
}
.dwp-form-column {
    flex: 1;
    padding: 0.5rem 0;
    width: 100%;
}
.dwp-form-column:first-of-type {
    padding-left: 0;
}
.dwp-form-column:last-of-type {
    padding-right: 0;
}
 
/* CF7 Grid - Desktop Ansicht */
@media only screen and ( min-width: 48em ) { 
    .dwp-form-row {
        flex-direction: row;
    }
    .dwp-form-column {
        padding: 0.5rem 1rem;
    }
}
/* CF7 - Custom Styles */
.wpcf7-form-control.wpcf7-textarea {
  max-height: 100px;
}
.wpcf7 li p {
  margin-bottom: 0;
}
